This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 750849 - Provide a "dump system configuration" button
Provide a "dump system configuration" button
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.3.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: jon30-sprint9 754720
  Show dependency treegraph
 
Reported: 2011-11-02 10:40 EDT by Heiko W. Rupp
Modified: 2013-08-31 06:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 754720 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
server log to document the verification (3.13 MB, application/octet-stream)
2011-12-15 11:41 EST, Mike Foley
no flags Details

  None (edit)
Description Heiko W. Rupp 2011-11-02 10:40:48 EDT
RHQ should have a button that the admin can press and where the system information is then dumped into the server log.

The info is a bit like what we provide in the summary portlet + the upper part of the system settings page + information about #of alerts and alert definitions
Comment 1 Heiko W. Rupp 2011-11-17 08:14:40 EST
master 70f31ee0

There is now an additional button at the bottom of the system settings page of the administration view.
Pressing this dumps the system information at info level to server log (and if the server was started
with 'console' option also to the console.
Users can copy&paste this e.g. when asked for by support.


Sample dump:

14:06:41,128 INFO  [SystemInfoManager] SystemInformation: ********
CAM_LDAP_GROUP_FILTER: [objectclass=groupofuniquenames]
ENABLE_DEBUG_MODE: [false]
CAM_LDAP_BIND_PW: [- non null -]
AlertDefinitionCount: [1]
CAM_LDAP_BASE_DN: [dc=test]
AVAILABILITY_PURGE: [31536000000]
CAM_JAAS_PROVIDER: [true]
BuildNumber: [ceb6034]
ServerCount: [10]
DATABASE_DRIVER_NAME: [PostgreSQL Native Driver]
RESOURCE_GENERIC_PROPERTIES_UPGRADE: [false]
CAM_RT_COLLECT_IP_ADDRS: [true]
CAM_LDAP_NAMING_PROVIDER_URL: [ldap://1.2.3.4:1389]
SERVER_LOCAL_TIME: [17. November 2011 14:06 Uhr MEZ]
ServiceCount: [337]
SERVER_TIMEZONE: [Mitteleurop#ische Zeit]
CAM_LDAP_GROUP_MEMBER: [uniquemember]
CAM_LDAP_PROTOCOL: [false]
ACTIVE_DRIFT_PLUGIN: [drift-jpa]
CAM_LDAP_BIND_DN: [cn=Directory manager]
EVENT_PURGE: [1209600000]
AGENT_MAX_QUIET_TIME_ALLOWED: [900000]
CAM_GUIDE_ENABLED: [true]
CAM_SYSLOG_ACTIONS_ENABLED: [false]
CAM_BASELINE_FREQUENCY: [259200000]
DB_SCHEMA_VERSION: [2.116]
ENABLE_AGENT_AUTO_UPDATE: [true]
CAM_DATA_MAINTENANCE: [3600000]
DATABASE_PRODUCT_NAME: [PostgreSQL]
DATA_REINDEX_NIGHTLY: [true]
ENABLE_EXPERIMENTAL_FEATURES: [false]
CAM_BASELINE_DATASET: [604800000]
CAM_DATA_PURGE_1H: [1209600000]
DATABASE_PRODUCT_VERSION: [9.1.0]
SchedulesPerMinute: [35]
PlatformCount: [1]
DRIFT_FILE_PURGE: [2678400000]
TRAIT_PURGE: [31536000000]
SERVER_HOME_DIR: [/im/dev-container/jbossas/server/default]
FullName: [RHQ]
DATABASE_CONNECTION_URL: [jdbc:postgresql://127.0.0.1:5432/rhqdev?loginTimeout=0&socketTimeout=0&prepareThreshold=5&unknownLength=2147483647&loglevel=0&tcpkeepalive=false]
CAM_DATA_PURGE_1D: [31536000000]
DATABASE_DRIVER_VERSION: [PostgreSQL 9.0 JDBC4 (build 801)]
SERVER_INSTALL_DIR: [/im/dev-container]
CAM_HELP_PASSWORD: [- non null -]
NEXT_MEASUREMENT_TABLE_ROTATION: [18. November 2011 01:00 Uhr MEZ]
CAM_DATA_PURGE_6H: [2678400000]
CAM_BASE_URL: [http://localhost:7080/]
CAM_LDAP_FILTER: [objectclass=*]
CURRENT_MEASUREMENT_TABLE: [RHQ_MEAS_DATA_NUM_R06]
Name: [RHQ]
SERVER_VERSION: [4.3.0-SNAPSHOT]
RT_DATA_PURGE: [2678400000]
AlertCount: [2]
ALERT_PURGE: [2678400000]
CAM_LDAP_NAMING_FACTORY_INITIAL: [com.sun.jndi.ldap.LdapCtxFactory]
CAM_HELP_USER: [web]
CAM_LDAP_LOGIN_PROPERTY: [uid]
********
Comment 2 Mike Foley 2011-12-15 11:39:41 EST
attaching server log to document the verification
Comment 3 Mike Foley 2011-12-15 11:41:48 EST
Created attachment 547353 [details]
server log to document the verification
Comment 4 Heiko W. Rupp 2013-08-31 06:08:41 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.